Passer au contenu principal
GET
/
2
/
spaces
Obtenir des Spaces par id
curl --request GET \
  --url https://api.x.com/2/spaces \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "1SLjjRYNejbKM",
      "state": "live",
      "created_at": "2021-07-06T18:40:40.000Z",
      "creator_id": "2244994945",
      "ended_at": "2021-07-06T18:40:40.000Z",
      "host_ids": [
        "2244994945"
      ],
      "invited_user_ids": [
        "2244994945"
      ],
      "is_ticketed": "false",
      "lang": "en",
      "participant_count": 10,
      "scheduled_start": "2021-07-06T18:40:40.000Z",
      "speaker_ids": [
        "2244994945"
      ],
      "started_at": "2021-7-14T04:35:55Z",
      "subscriber_count": 10,
      "title": "Spaces are Awesome",
      "topics": [
        {
          "description": "Tout sur la technologie",
          "id": "848920371311001600",
          "name": "Technology"
        }
      ],
      "updated_at": "2021-7-14T04:35:55Z"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "includes": {
    "media": [
      {
        "type": "<string>",
        "preview_image_url": "<string>",
        "variants": [
          {
            "bit_rate": 123,
            "content_type": "<string>",
            "url": "<string>"
          }
        ],
        "height": 1,
        "media_key": "<string>",
        "width": 1
      }
    ],
    "places": [
      {
        "full_name": "Lakewood, CO",
        "id": "f7eb2fa2fea288b1",
        "contained_within": [
          "f7eb2fa2fea288b1"
        ],
        "country": "United States",
        "country_code": "US",
        "name": "Lakewood",
        "place_type": "city"
      }
    ],
    "polls": [
      {
        "id": "1365059861688410112",
        "options": [
          {
            "label": "<string>",
            "position": 123,
            "votes": 123
          }
        ],
        "duration_minutes": 5042,
        "end_datetime": "2023-11-07T05:31:56Z",
        "voting_status": "open"
      }
    ],
    "topics": [
      {
        "id": "<string>",
        "name": "Technology",
        "description": "All about technology"
      }
    ],
    "tweets": [
      {
        "author_id": "2244994945",
        "created_at": "Wed Jan 06 18:40:40 +0000 2021",
        "id": "1346889436626259968",
        "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
        "username": "XDevelopers"
      }
    ],
    "users": [
      {
        "created_at": "2013-12-14T04:35:55Z",
        "id": "2244994945",
        "name": "X Dev",
        "protected": false,
        "username": "TwitterDev"
      }
    ]
  }
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de requête

ids
string[]
requis

La liste des id des Spaces à renvoyer.

Required array length: 1 - 100 elements

L'identifiant unique de ce Space.

Pattern: ^[a-zA-Z0-9]{1,13}$
space.fields
enum<string>[]

Une liste de champs Space, séparés par des virgules, à renvoyer. Les champs disponibles pour un objet Space.

Minimum array length: 1
Options disponibles:
created_at,
creator_id,
ended_at,
host_ids,
id,
invited_user_ids,
is_ticketed,
lang,
participant_count,
scheduled_start,
speaker_ids,
started_at,
state,
subscriber_count,
title,
topic_ids,
updated_at
Exemple:
[
"created_at",
"creator_id",
"ended_at",
"host_ids",
"id",
"invited_user_ids",
"is_ticketed",
"lang",
"participant_count",
"scheduled_start",
"speaker_ids",
"started_at",
"state",
"subscriber_count",
"title",
"topic_ids",
"updated_at"
]
expansions
enum<string>[]

Une liste de champs à développer, séparés par des virgules. La liste des champs que vous pouvez développer pour un objet Space. Si ce champ comporte un id, il peut être développé en un objet complet.

Minimum array length: 1
Options disponibles:
creator_id,
host_ids,
invited_user_ids,
speaker_ids,
topic_ids
Exemple:
[
"creator_id",
"host_ids",
"invited_user_ids",
"speaker_ids",
"topic_ids"
]
user.fields
enum<string>[]

Une liste, séparée par des virgules, de champs User à renvoyer. Les champs disponibles pour un objet User.

Minimum array length: 1
Options disponibles:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
Exemple:
[
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]
topic.fields
enum<string>[]

Une liste de champs Topic, séparés par des virgules, à renvoyer. Les champs disponibles pour un objet Topic.

Minimum array length: 1
Options disponibles:
description,
id,
name
Exemple:
["description", "id", "name"]

Réponse

La requête a réussi.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).

includes
object